Subject: Re: [PATCH] of: of_mdio: Add marvell,88e1145 to whitelist of PHY compatibilities.

From: Andrew Lunn <[email-masked]>
Date: Wed, 3 Feb 2016 21:28:11 +0100

> The compatibility strings may be present in deployed firmware, they
> cannot be removed.  For many OCTEON boards, the device tree is a
> firmware-kernel ABI, it is not practical to unilaterally decide to
> change the bindings on the kernel side as you don't control the
> firmware.

Hi David

We are keeping backwards compatibility. The kernel has always ignored
this string, and will continue to always ignore this string. But since
it is being ignored, you may as well remove it in future versions of
the DTB.

    Andrew